﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private pnlBottom As B4XView
	Private Overlay As B4XView
	Private OverlayVisible As Boolean
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me, "B4XBottomSheet")
	
	Overlay = xui.CreatePanel("overlay")

	#If B4A
	Dim p As Panel = Overlay
	p.Elevation = 5dip
	#End If
	
	Root.AddView(Overlay, 0, 0, Root.Width, Root.Height)
	Overlay.LoadLayout("Overlay")
	
	pnlBottom.LoadLayout("Drawer")
	pnlBottom.SetColorAndBorder(xui.Color_White, 0, 0, 15dip)
	
	Overlay.Visible = False
	
End Sub

Sub ToggleDrawerState
	Dim Duration As Int = 300
	
	OverlayVisible = Not(OverlayVisible)
	Overlay.SetVisibleAnimated(Duration, OverlayVisible)
	
	Dim pnlBottomVisibleHeight As Int = pnlBottom.Height - 8dip 'hide bottom round corners
	
	If OverlayVisible Then
		pnlBottom.SetLayoutAnimated(0, 0, pnlBottom.Parent.Height, pnlBottom.Width, pnlBottom.Height)
		pnlBottom.SetLayoutAnimated(Duration, 0, pnlBottom.Parent.Height - pnlBottomVisibleHeight, pnlBottom.Width, pnlBottom.Height)
	Else
		pnlBottom.SetLayoutAnimated(0, 0, pnlBottom.Parent.Height - pnlBottomVisibleHeight, pnlBottom.Width, pnlBottom.Height)
		pnlBottom.SetLayoutAnimated(Duration, 0, pnlBottom.Parent.Height, pnlBottom.Width, pnlBottom.Height)
	End If
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub btn_Click
	ToggleDrawerState
End Sub

#If B4A
Private Sub Overlay_Click
#else
Private Sub Overlay_MouseClicked (EventData As MouseEvent)
#end If
	ToggleDrawerState
End Sub

